# Class yii\apidoc\models\FunctionDoc

Inheritance | yii\apidoc\models\FunctionDoc » yii\apidoc\models\BaseDoc » yii\base\BaseObject
Implements | yii\base\Configurable
Subclasses | yii\apidoc\models\MethodDoc
Available since version | 2.0
Source Code | https://github.com/yiisoft/yii2-apidoc/blob/master/models/FunctionDoc.php

Represents API documentation information for a `function`.

## Public Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$deprecatedReason |  |  | yii\apidoc\models\BaseDoc
$deprecatedSince |  |  | yii\apidoc\models\BaseDoc
$description |  |  | yii\apidoc\models\BaseDoc
$endLine |  |  | yii\apidoc\models\BaseDoc
$exceptions |  |  | yii\apidoc\models\FunctionDoc
$isReturnByReference |  |  | yii\apidoc\models\FunctionDoc
$name |  |  | yii\apidoc\models\BaseDoc
$packageName | string|null |  | yii\apidoc\models\BaseDoc
$params | yii\apidoc\models\ParamDoc[] |  | yii\apidoc\models\FunctionDoc
$phpDocContext | \phpDocumentor\Reflection\DocBlock\Context |  | yii\apidoc\models\BaseDoc
$return |  |  | yii\apidoc\models\FunctionDoc
$returnType |  |  | yii\apidoc\models\FunctionDoc
$returnTypes |  |  | yii\apidoc\models\FunctionDoc
$shortDescription |  |  | yii\apidoc\models\BaseDoc
$since |  |  | yii\apidoc\models\BaseDoc
$sourceFile |  |  | yii\apidoc\models\BaseDoc
$startLine |  |  | yii\apidoc\models\BaseDoc
$tags | \phpDocumentor\Reflection\DocBlock\Tag[] |  | yii\apidoc\models\BaseDoc

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
__call() | Calls the named method which is not a class method. | yii\base\BaseObject
__construct() |  | yii\apidoc\models\FunctionDoc
__get() | Returns the value of an object property. | yii\base\BaseObject
__isset() | Checks if a property is set, i.e. defined and not null. | yii\base\BaseObject
__set() | Sets value of an object property. | yii\base\BaseObject
__unset() | Sets an object property to null. | yii\base\BaseObject
canGetProperty() | Returns a value indicating whether a property can be read. | yii\base\BaseObject
canSetProperty() | Returns a value indicating whether a property can be set. | yii\base\BaseObject
className() | Returns the fully qualified name of this class. | yii\base\BaseObject
extractFirstSentence() | Extracts first sentence out of text | yii\apidoc\models\BaseDoc
getFirstTag() | Get the first tag of a given name | yii\apidoc\models\BaseDoc
getPackageName() | Returns the Composer package for this type, if it can be determined from $sourceFile. | yii\apidoc\models\BaseDoc
hasMethod() | Returns a value indicating whether a method is defined. | yii\base\BaseObject
hasProperty() | Returns a value indicating whether a property is defined. | yii\base\BaseObject
hasTag() | Checks if doc has tag of a given name | yii\apidoc\models\BaseDoc
init() | Initializes the object. | yii\base\BaseObject
removeTag() | Removes tag of a given name | yii\apidoc\models\BaseDoc

## Protected Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
mbUcFirst() | Multibyte version of ucfirst() | yii\apidoc\models\BaseDoc

## Property Details

$exceptions public property
public $exceptions = []
$isReturnByReference public property
public $isReturnByReference = null
$params public property
public yii\apidoc\models\ParamDoc[] $params = []
$return public property
public $return = null
$returnType public property
public $returnType = null
$returnTypes public property
public $returnTypes = null

## Method Details

__construct() public method

public void __construct ( $reflector = null, $context = null, $config = [] )
$reflector | \phpDocumentor\Reflection\FunctionReflector |
$context | yii\apidoc\models\Context |
$config | array |